Subject: Re: bug#4239: 23.1.50; Pause during Emacs startup with recentf-mode

From: Stephen Berman <[email-masked]>
Date: Sun, 23 Aug 2009 17:50:56 +0200

My report contained an obvious, yet crucial, typo, so here it is
corrected:

On Sun, 23 Aug 2009 13:35:47 +0200 Stephen Berman <[email-masked]> wrote:

> 1. Let ~/.emacs consist solely of this sexp:
>
>    (custom-set-variables
>     '(recentf-mode t))
>
> 2. Let recentf-list contain a Tramp-style ftp pathname, e.g. let
> ~/.recentf be the following (with a made-up ftp-address, but the problem
> also arises with real addresses):
>
> -------------8<-------------
> ;;; Automatically generated by `recentf' on Tue Jul  7 14:42:00 2009.
>
> (setq recentf-list
>       '(
>         "/ftp:[email-masked]:/"
>         ))
>
> (setq recentf-filter-changer-current 'nil)
>
> 
> ;; Local Variables:
> ;; coding: utf-8-emacs
> ;; End:
> ------------->8-------------
>
> 3. emacs -Q

This should of course be:
3. emacs

> => There is a pause after the echo area displays the message "Cleaning
> up the recentf list...", lasting more or less 30 seconds, during which
> Emacs is completely unresponsive.  Then the pause ends, Emacs completes
> startup and runs normally.
>
> I have experienced this pause only with the first graphical Emacs
> started after booting my machine, i.e. when started as above in a tty,
> Emacs does not pause.  The first time I experienced the pause was with
> GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4) of
> 2009-06-23 on escher (my first build after the 23.1 branch), and it has
> continued with every subsequent build, including my current one.  It
> does not happen with GNU Emacs 23.0.94.2 (i686-pc-linux-gnu, GTK+
> Version 2.14.4) of 2009-06-14 on escher (my last pre-branch build).
>
> I initially reported this on emacs-devel and suspected the new Tramp
> GVFS code, but Michael Albinus could not reproduce the problem.  See
> http://thread.gmane.org/gmane.emacs.devel/111714 for our exchange.
>
>
> In GNU Emacs 23.1.50.4 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
>  of 2009-08-21 on escher
> Windowing system distributor `The X.Org Foundation', version 11.0.10502000
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=local
>   locale-coding-system: utf-8-unix
>   default-enable-multibyte-characters: t